Bug 771948 - Provide native systemd service
Summary: Provide native systemd service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cfengine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-05 14:02 UTC by Jóhann B. Guðmundsson
Modified: 2014-08-15 07:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 07:55:34 UTC


Attachments (Terms of Use)
Native systemd service file for cf-execd (144 bytes, text/plain)
2012-01-05 14:03 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service file for cf-monitord (141 bytes, text/plain)
2012-01-05 14:04 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service file for cf-serverd (146 bytes, text/plain)
2012-01-05 14:05 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2012-01-05 14:02:37 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2012-01-05 14:03:40 UTC
Created attachment 550907 [details]
Native systemd service file for cf-execd

Comment 2 Jóhann B. Guðmundsson 2012-01-05 14:04:27 UTC
Created attachment 550908 [details]
Native systemd service file for cf-monitord

Comment 3 Jóhann B. Guðmundsson 2012-01-05 14:05:04 UTC
Created attachment 550909 [details]
Native systemd service file for cf-serverd

Comment 4 Jóhann B. Guðmundsson 2012-01-05 14:07:00 UTC
Let's start with these...

For some reason the daemon just hang when starting in a daemon mode.

You can remove the "-F" from the units and Type=forking if it was some configuration error on my behalf...

Comment 5 Gwyn Ciesla 2012-05-15 13:11:30 UTC
Jeff, any objection to my making this change?

Comment 6 Fedora End Of Life 2013-04-03 17:33:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora Admin XMLRPC Client 2013-09-16 08:49:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Jóhann B. Guðmundsson 2014-05-26 09:43:10 UTC
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Comment 9 Jóhann B. Guðmundsson 2014-05-26 12:53:48 UTC
Note that submitted units are most likely outdated in relation to changes in systemd and other security features proposal in the project from the time of their submission so you could just as well keep this bug closed since the submitted units will most likely need to be reworked anyway

Comment 10 Christopher Meng 2014-05-26 13:07:10 UTC
I've prepared systemd service/socket files for cfengine, but cfengine is a massive product so I haven't had enough time to test.

I will keep this bug as ASSIGNED, as I'm working on this.

Thank you! And thanks for your hard work so far!


Note You need to log in before you can comment on or make changes to this bug.